package cn.palmte.work.model.enums;

/**
 * 项目类型：1 工程集成类、2设备集成类、3战略合作类
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/14 15:10
 */
public enum ProjectType implements Enumerable<Integer> {

  ENGINEERING_INTEGRATION(1, "工程集成"),
  DEVICE_INTEGRATION(2, "设备集成"),
  STRATEGIC_COOPERATION(3, "战略合作");

  private final int value;
  private final String description;

  ProjectType(int value, String description) {
    this.value = value;
    this.description = description;
  }

  public String getDescription() {
    return description;
  }

  @Override
  public Integer getValue() {
    return value;
  }

}
